Ankündigung

Einklappen
Keine Ankündigung bisher.

Telegram, Alternative zu WhatsApp

Einklappen
X
 
  • Filter
  • Zeit
  • Anzeigen
Alles löschen
neue Beiträge

    #91
    Hat leider nichts geholfen.

    Die erste Nachricht schlägt fehl:


    Code:
    2018-02-12  21:32:25 ERROR    logics.fensterwarnung Logic: logics.fensterwarnung, File: /usr/lib/python3.5/ssl.py, Line: 583, Method: read, Exception: ('Connection aborted.', ConnectionResetError(104, 'Die Verbindung wurde vom Kommunikationspartner zurückgesetzt'))
    Traceback (most recent call last):
      File "/usr/local/lib/python3.5/dist-packages/urllib3/connectionpool.py", line 601, in urlopen
        chunked=chunked)
      File "/usr/local/lib/python3.5/dist-packages/urllib3/connectionpool.py", line 387, in _make_request
        six.raise_from(e, None)
      File "<string>", line 2, in raise_from
      File "/usr/local/lib/python3.5/dist-packages/urllib3/connectionpool.py", line 383, in _make_request
        httplib_response = conn.getresponse()
      File "/usr/lib/python3.5/http/client.py", line 1198, in getresponse
        response.begin()
      File "/usr/lib/python3.5/http/client.py", line 297, in begin
        version, status, reason = self._read_status()
      File "/usr/lib/python3.5/http/client.py", line 258, in _read_status
        line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
      File "/usr/lib/python3.5/socket.py", line 576, in readinto
        return self._sock.recv_into(b)
      File "/usr/lib/python3.5/ssl.py", line 937, in recv_into
        return self.read(nbytes, buffer)
      File "/usr/lib/python3.5/ssl.py", line 799, in read
        return self._sslobj.read(len, buffer)
      File "/usr/lib/python3.5/ssl.py", line 583, in read
        v = self._sslobj.read(len, buffer)
    ConnectionResetError: [Errno 104] Die Verbindung wurde vom Kommunikationspartner zurückgesetzt
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/usr/local/smarthome/lib/scheduler.py", line 425, in _task
        exec(obj.bytecode)
      File "/usr/local/smarthome/logics/fensterwarnung.py", line 19, in <module>
        bot.sendMessage(chat_id, message)
      File "/usr/local/lib/python3.5/dist-packages/telepot/__init__.py", line 456, in sendMessage
        return self._api_request('sendMessage', _rectify(p))
      File "/usr/local/lib/python3.5/dist-packages/telepot/__init__.py", line 434, in _api_request
        return api.request((self._token, method, params, files), **kwargs)
      File "/usr/local/lib/python3.5/dist-packages/telepot/api.py", line 130, in request
        r = fn(*args, **kwargs)  # `fn` must be thread-safe
      File "/usr/local/lib/python3.5/dist-packages/urllib3/request.py", line 148, in request_encode_body
        return self.urlopen(method, url, **extra_kw)
      File "/usr/local/lib/python3.5/dist-packages/urllib3/poolmanager.py", line 321, in urlopen
        response = conn.urlopen(method, u.request_uri, **kw)
      File "/usr/local/lib/python3.5/dist-packages/urllib3/connectionpool.py", line 639, in urlopen
        _stacktrace=sys.exc_info()[2])
      File "/usr/local/lib/python3.5/dist-packages/urllib3/util/retry.py", line 357, in increment
        raise six.reraise(type(error), error, _stacktrace)
      File "/usr/local/lib/python3.5/dist-packages/urllib3/packages/six.py", line 685, in reraise
        raise value.with_traceback(tb)
      File "/usr/local/lib/python3.5/dist-packages/urllib3/connectionpool.py", line 601, in urlopen
        chunked=chunked)
      File "/usr/local/lib/python3.5/dist-packages/urllib3/connectionpool.py", line 387, in _make_request
        six.raise_from(e, None)
      File "<string>", line 2, in raise_from
      File "/usr/local/lib/python3.5/dist-packages/urllib3/connectionpool.py", line 383, in _make_request
        httplib_response = conn.getresponse()
      File "/usr/lib/python3.5/http/client.py", line 1198, in getresponse
        response.begin()
      File "/usr/lib/python3.5/http/client.py", line 297, in begin
        version, status, reason = self._read_status()
      File "/usr/lib/python3.5/http/client.py", line 258, in _read_status
        line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
      File "/usr/lib/python3.5/socket.py", line 576, in readinto
        return self._sock.recv_into(b)
      File "/usr/lib/python3.5/ssl.py", line 937, in recv_into
        return self.read(nbytes, buffer)
      File "/usr/lib/python3.5/ssl.py", line 799, in read
        return self._sslobj.read(len, buffer)
      File "/usr/lib/python3.5/ssl.py", line 583, in read
        v = self._sslobj.read(len, buffer)
    urllib3.exceptions.ProtocolError: ('Connection aborted.', ConnectionResetError(104, 'Die Verbindung wurde vom Kommunikationspartner zurückgesetzt'))
    Geniale Menschen sind selten ordentlich, ordentliche selten genial. (Albert Einstein)

    Kommentar


      #92
      Zitat von magiczambo Beitrag anzeigen
      bot.sendMessage(chat_id, message)
      so wie ich das sehe, benützt du doch gar nicht das plugin, sondern eine eigene logik welche über telepot sendet??

      Zitat von magiczambo Beitrag anzeigen
      File "/usr/local/lib/python3.5/dist-packages/telepot/__init__.py", line 456, in sendMessage

      in einer Logik sende ich ein Nachricht, über die Plugin-Funktion _msg_broadcast

      Code:
      sh.telegram._msg_broadcast(msg_txt)
      und so zum Senden eines Bildes:
      Code:
      sh.telegram._photo_broadcast(file_path, info_txt)

      Kommentar


        #93
        Ok danke. Das wars!
        Geniale Menschen sind selten ordentlich, ordentliche selten genial. (Albert Einstein)

        Kommentar


          #94
          Ich habe das neue PlugIn getestet und bin der Meinung es ist schon jetzt deutlich besser als die alte telepot Variante.
          Ich wäre dafür das PlugIn schnellstmöglich in das SmarthomeNG Repository zu mergen und das alte Plugin als telegram_1 weiterzuführen.
          Einige Änderungen wie
          Code:
              def __call__(self, msg, chat_id=None):
                  if chat_id == None:
                      self._msg_broadcast(msg)
                  else:
                      self._msg_broadcast(msg, chat_id)
          um kompatibel zum alten Plugin zu sein sollten noch eingebaut werden.


          LG

          mode

          Kommentar


            #95
            Es gibt ja die Möglichkeit, alte Versionen in einen Unterordner des Plugins zu stecken. Fände ich so auch vernünftig.

            Kommentar


              #96
              ivande machst du einen Pull Request oder soll ich das übernehmen?
              Ich würde das alte Plugin als telegram_1 übernehmen. Das wurde beim neuen MQTT Plugin von Msinn auch so gemacht.

              Kommentar


                #97
                Bei MQTT was das ein kompletter Neubau (mit anderen Parametern, etc.). Ist das bei Telegram auch so? Ansonsten einfach die bisherige Version in ein Unterverzeichnis _pv<version> packen.
                Viele Grüße
                Martin

                There is no cloud. It's only someone else's computer.

                Kommentar


                  #98
                  Ja ist es, da eine komplett andere Lib zum Versenden der Nachrichten genutzt wird.

                  Kommentar


                    #99
                    mode da das alte Plugin dann evtl. auch umzubenennen wäre, (und ich nicht weiß wie) wäre ich froh wenn Du den Pull Request machst :-)

                    Plungin
                    Zitat von mode Beitrag anzeigen
                    def __call__(self, msg, chat_id=None):
                    if chat_id == None:
                    self._msg_broadcast(msg)
                    else:
                    self._msg_broadcast(msg, chat_id)
                    das ist im aktuellen master doch nicht so enthalten?

                    Kommentar


                      Ok, ich habe den Code mal in develop gepackt mit ein paar Erweiterungen. Das alte telegram plugin (benutzt telepot lib) ist nun im develop branch umbenannt in telegram_1.
                      Bitte beachten, das nun eine andere lib eingebunden werden muß (python-telegram-bot), das steht auch in der aktualisierten requirements.txt
                      Zuletzt geändert von bmx; 27.06.2018, 06:32.

                      Kommentar


                        Eventuell ist das interessant wenn der dev zum master wechselt.

                        Ich habe bisher telegram genutzt, seit dem gestrigen Update weigert es sich allerdings. pip install -r requirements.txt ist durchgelaufen.

                        Python läuft in Version 3.5.3, System ist ein Debian strech. Weitere Informationen kann ich noch nachliefern wenn benötigt.


                        Code:
                        2018-05-21  19:27:22 ERROR    Main         Plugin 'telegram' exception during import of __init__.py: No module named 'telegram'
                        Traceback (most recent call last):
                          File "/usr/local/smarthome/lib/plugin.py", line 498, in __init__
                            exec("import {0}".format(classpath))
                          File "<string>", line 1, in <module>
                          File "/usr/local/smarthome/plugins/telegram/__init__.py", line 37, in <module>
                            import telegram
                        ImportError: No module named 'telegram'
                        Grüße
                        Marcel

                        Kommentar


                          .. sorry war ein falscher kommentar

                          Kommentar


                            Der Fehler lag auf meiner Seite. Man sollte auch pip3 statt pip nutzen um python-telegram-bot zu installieren sonst wird halt nix gefunden
                            Grüße
                            Marcel

                            Kommentar


                              Zitat von Lonie Beitrag anzeigen
                              Eventuell ist das interessant wenn der dev zum master wechselt.

                              Ich habe bisher telegram genutzt, seit dem gestrigen Update weigert es sich allerdings. pip install -r requirements.txt ist durchgelaufen.

                              Python läuft in Version 3.5.3, System ist ein Debian strech. Weitere Informationen kann ich noch nachliefern wenn benötigt.
                              Bist Du auf dem develop Branch unterwegs? Wenn ja, findest Du Dein bisheriges telegram Plugin unter telegram_1. Unter telegram ist ein neues Plugin. Damit das läuft musst Du die benötogten Packages nachinstallieren (siehe requirements.txt im Plugin Verzeichnis).
                              Viele Grüße
                              Martin

                              There is no cloud. It's only someone else's computer.

                              Kommentar


                                Ich nutze aktuell den Master SmathomeNG 1.4.2 und das Telegram Plugin aus dem Develop in der Version 1.4.4
                                Ab und an erhalte ich folgende Fehler:
                                Code:
                                2018-05-31  13:10:00 INFO     plugins.telegram update item: Wetterstation.TemperaturDach
                                2018-05-31  13:10:00 ERROR    telegram.ext.updater Error while getting Updates: Conflict: terminated by other getUpdates request; make sure that only one bot instance is running (409)
                                2018-05-31  13:10:00 WARNING  plugins.telegram Update None caused error Conflict: terminated by other getUpdates request; make sure that only one bot instance is running (409)
                                2018-05-31  13:10:00 INFO     plugins.telegram update item: Wetterstation.Windgeschwindigkeit.kmh
                                2018-05-31  13:10:03 INFO     plugins.telegram update item: Wetterstation.Windgeschwindigkeit.kmh
                                2018-05-31  13:10:07 INFO     plugins.telegram update item: Wetterstation.Windgeschwindigkeit.kmh
                                2018-05-31  13:10:16 INFO     plugins.telegram update item: Wetterstation.HelligkeitWesten
                                2018-05-31  13:10:19 INFO     plugins.telegram update item: Wetterstation.Windgeschwindigkeit.kmh
                                2018-05-31  13:10:24 INFO     plugins.telegram update item: Wetterstation.Windgeschwindigkeit.kmh
                                Außerdem - wie bereits in der Vorgängerversion, ca. 1-3 Mal pro Stunde:
                                Code:
                                2018-05-31  13:09:29 INFO     plugins.telegram update item: Wetterstation.Windgeschwindigkeit.kmh
                                2018-05-31  13:09:38 INFO     plugins.telegram update item: Wetterstation.HelligkeitSueden
                                2018-05-31  13:09:38 INFO     plugins.telegram update item: Wetterstation.HelligkeitMaximal
                                2018-05-31  13:09:40 INFO     logics.network udpSend an 10.0.0.152: LU.Status.CO2_Wert, 520.0
                                2018-05-31  13:09:41 ERROR    telegram.ext.updater Error while getting Updates: Timed out
                                2018-05-31  13:09:41 WARNING  plugins.telegram Update None caused error Timed out
                                2018-05-31  13:09:46 INFO     plugins.telegram update item: Wetterstation.HelligkeitOsten
                                2018-05-31  13:09:47 INFO     plugins.telegram update item: Wetterstation.Windgeschwindigkeit.kmh

                                Kommentar

                                Lädt...
                                X